> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/io/csv/csvheader.md).

# CsvHeader

### Introduction

The CsvHeader class represents a header in a CSV file in the [RuntimeCsvRepresentation](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) class. The [RuntimeCsvRepresentation](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) class contains an array of CsvHeaders called Headers.

### Header Information

When a [RuntimeCsvRepresentation](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) is loaded, it will (by default) contain an array of CsvHeaders. Each CsvHeader represents the first item in a column in a CSV file.

The contents of the cell can be obtained through either the Name or OriginalText properties - they will be initially identical.

By default the IsRequired property will be set to false. Both the IsRequired and Name properties can be modified through the [RuntimeCsvRepresentation's RemoveHeaderWhitespaceAndDetermineIfRequired method](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php).

Did this article leave any questions unanswered? Post any question in our [forums](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/forum.md) for a rapid response.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/io/csv/csvheader.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
